const SVG_NS = "http://www.w3.org/2000/svg";
let mQuery = 560;

let r = 15;
let delta = 0;
let pathsRy = [];

let items = Array.from(document.querySelectorAll(".item"));

let itemsRy = [
    { x: 10, y: 30 },
    { x: 35, y: 20 },
    { x: 65, y: 15 },
    { x: 90, y: 30 },
    { x: 70, y: 40 },
    { x: 45, y: 55 },
    { x: 60, y: 80 },
    { x: 60, y: 99 }
];
let mediaItemsRy = [
    { x: 15, y: 15 },
    { x: 45, y: 20 },
    { x: 80, y: 15 },
    { x: 80, y: 40 },
    { x: 50, y: 55 },
    { x: 20, y: 65 },
    { x: 70, y: 80 },
    { x: 70, y: 99 }
];

let ry = itemsRy;

if (window.innerWidth > mQuery) {
    ry = mediaItemsRy;
} else {
    ry = itemsRy;
}

items.map((item, i) => {
    item.style.top = ry[i].y + "%";
    item.style.left = ry[i].x + "%";
    updateBeziers(ry);
});

for (let i = 0; i < items.length - 1; i++) {
    let item = ry[i];
    let next = ry[i + 1];
    delta = i % 2 == 0 ? r : -r;
    let o = {};
    o.d = `M${item.x},${item.y}
           C${item.x},${next.y - delta} 
            ${next.x},${item.y - delta} 
            ${next.x},${next.y}`;
    pathsRy.push(drawElmt(o, "path", svg));
}

function Init() {
    if (window.innerWidth < mQuery) {
        ry = mediaItemsRy;
    } else {
        ry = itemsRy;
    }

    items.map((item, i) => {
        item.style.top = ry[i].y + "%";
        item.style.left = ry[i].x + "%";
        updateBeziers(ry);
    });
}

function updateBeziers(ry) {
    for (let i = 0; i < pathsRy.length; i++) {
        delta = i % 2 == 0 ? r : -r;

        let item = ry[i];
        let next = ry[i + 1];

        let d = `M${item.x},${item.y}
             C${item.x},${next.y - delta}, 
              ${next.x},${item.y - delta} 
              ${next.x},${next.y}`;

        pathsRy[i].setAttributeNS(null, "d", d);
    }
}

function drawElmt(o, tag, parent) {
    var elmt = document.createElementNS(SVG_NS, tag);
    for (var name in o) {
        if (o.hasOwnProperty(name)) {
            elmt.setAttributeNS(null, name, o[name]);
        }
    }
    parent.appendChild(elmt);
    return elmt;
}

window.setTimeout(function() {
    Init();

    window.addEventListener("resize", Init, false);
}, 15);